package erp

import (
	"testData/global"
	"testData/model"
)

func GetFactorySelections() []string {
	var factories []string
	global.Oracle.Model(&model.PmcFile{}).Where("pmc02 IN ?", []string{"AB", "CPFT", "FT"}).Select("pmc03").Find(&factories)
	return factories
}

func GetAllProductSelection() []string {
	var products []string
	global.Oracle.Model(&model.ImaFile{}).Select("Ima02").Group("Ima02").Find(&products)
	productsMap := make(map[string]bool)
	for _, product := range products {
		productsMap[product[:6]] = true
	}
	products = []string{}
	for product := range productsMap {
		products = append(products, product)
	}
	return products
}
